Pi Durable Platformdocs
ReferenceMCP servers

The MCP servers an app gave this thread (without headers)

GET
/v1/agents/{agentId}/threads/{threadId}/mcp-servers

Path Parameters

agentId*string
Formatuuid
threadId*string

Client-chosen thread ID (1-64 letters, digits, dashes or underscores)

Match^[A-Za-z0-9_-]{1,64}$

Response Body

Servers that have not expired

application/json
  1. response
data*array<>
curl -X GET 'https://agents.example.com/v1/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/threads/string/mcp-servers'
{  "data": [    {      "name": "string",      "slug": "string",      "url": "string",      "expiresAt": "2019-08-24T14:15:22Z"    }  ]}